Name:           jenkins-jobs
Version:        1.3
%if 0%{?opensuse_bs}
Release:        1.<CI_CNT>.<B_CNT>
%else
Release:        1
%endif
License:        Intel Proprietary
Summary:        Build job configurations for jenkins
Url:            http://www.tizen.org
Group:          Development/Tools/Building
Source:         %{name}-%{version}.tar.gz
Requires:       jenkins-plugins >= 1.0-0.dev
Requires:       jenkins-scripts >= 1.0-0.dev
Requires:       %{name}-common = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%define destdir /var/lib/jenkins/jobs

%description
Jenkins build job configurations.

%package common
Summary:    Common files for all jobs
Group:      Development/Tools/Building
Requires:   jenkins-plugins >= 1.0-0.dev

%description common
Common part of Jenkins jobss for all instances

%package tzs
Summary:    Jobs for tzs customer appliance
Group:      Development/Tools/Building
Requires:   %{name}-common = %{version}-%{release}

%description tzs
Jenkins jobs for tzs customer appliance instance

%prep
%setup -q

%build

%install
install -d %{buildroot}%{destdir}
cp -rf jobs/* %{buildroot}%{destdir}/

%pre
/usr/bin/getent group jenkins >/dev/null || /usr/sbin/groupadd -r jenkins &>/dev/null || :
/usr/bin/getent passwd jenkins >/dev/null || /usr/sbin/useradd -g jenkins -s /bin/bash -r -c "Jenkins Continuous Build server" \
    -d /var/lib/jenkins jenkins &>/dev/null || :

%post common
if [ ! -d /var/lib/jenkins/userContent ]; then
  mkdir -p /var/lib/jenkins/userContent
fi
ln -sf %{destdir}/configuration /var/lib/jenkins/userContent/

%postun common
if [ ${1:-0} -eq 0 ]; then
  if [ -L /var/lib/jenkins/userContent/configuration ]; then
    rm -f /var/lib/jenkins/userContent/configuration
  fi
fi

%files
%defattr(-,jenkins,jenkins)
%dir /var/lib/jenkins
%dir %{destdir}
%dir %{destdir}/pre-release-gerrit/
%config %{destdir}/pre-release-gerrit/config.xml
%dir %{destdir}/image-creator/
%config %{destdir}/image-creator/config.xml
%dir %{destdir}/image-tester/
%config %{destdir}/image-tester/config.xml
%dir %{destdir}/post-image-creation/
%config %{destdir}/post-image-creation/config.xml
%dir %{destdir}/requests/
%config %{destdir}/requests/config.xml
%dir %{destdir}/pre-release-create/
%config %{destdir}/pre-release-create/config.xml
%dir %{destdir}/pre-release-cleanup/
%config %{destdir}/pre-release-cleanup/config.xml
%dir %{destdir}/obs-event-dispatcher/
%config %{destdir}/obs-event-dispatcher/config.xml
%dir %{destdir}/load-repo-conf/
%config %{destdir}/load-repo-conf/config.xml
%dir %{destdir}/buildlogs/
%config %{destdir}/buildlogs/config.xml
%dir %{destdir}/make_dep_graph/
%config %{destdir}/make_dep_graph/config.xml
%dir %{destdir}/snapdiff-sync/
%config %{destdir}/snapdiff-sync/config.xml
%dir %{destdir}/release-snapshot/
%config %{destdir}/release-snapshot/config.xml
%dir %{destdir}/test-results-publisher/
%config %{destdir}/test-results-publisher/config.xml
%dir %{destdir}/monitor_scm_meta_git/
%config %{destdir}/monitor_scm_meta_git/config.xml
%dir %{destdir}/re/
%config %{destdir}/re/config.xml
%dir %{destdir}/rpm-build-log/
%config %{destdir}/rpm-build-log/config.xml
%dir %{destdir}/sync-obs/
%config %{destdir}/sync-obs/config.xml
%dir %{destdir}/purge-old-directories/
%config %{destdir}/purge-old-directories/config.xml
%dir %{destdir}/logs-collector/
%config %{destdir}/logs-collector/config.xml
%dir %{destdir}/check_scm_meta_git/
%config %{destdir}/check_scm_meta_git/config.xml
%dir %{destdir}/ref-snapshot-info-update/
%config %{destdir}/ref-snapshot-info-update/config.xml
%dir %{destdir}/BUILD-MONITOR/
%config %{destdir}/BUILD-MONITOR/config.xml
%dir %{destdir}/update-nuget/
%config %{destdir}/update-nuget/config.xml
%dir %{destdir}/add_git_tag/
%config %{destdir}/add_git_tag/config.xml
%dir %{destdir}/repa/
%config %{destdir}/repa/config.xml

%files common
%defattr(-,jenkins,jenkins)
%dir /var/lib/jenkins
%dir %{destdir}
%config(noreplace) %{destdir}/configuration
%dir %{destdir}/submit-obs/
%config %{destdir}/submit-obs/config.xml
%dir %{destdir}/mail_sender/
%config %{destdir}/mail_sender/config.xml
%dir %{destdir}/update-local-git/
%config %{destdir}/update-local-git/config.xml
%dir %{destdir}/create-snapshot
%config %{destdir}/create-snapshot/config.xml

%files tzs
%defattr(-,jenkins,jenkins)
%dir /var/lib/jenkins
%dir %{destdir}
%dir %{destdir}/submit
%config %{destdir}/submit/config.xml

%changelog
